import DataLoader from 'dataloader';
import { AdminContextProvider } from '../../admin-context/providers/admin-context.provider.js';
import { TenantAwareDBClient } from '../../app-providers/tenant-db-client.js';
import type { IDeleteBusinessTripFlightsExpenseParams, IInsertBusinessTripFlightsExpenseParams, IUpdateBusinessTripFlightsExpenseParams } from '../types.js';
export declare class BusinessTripFlightsExpensesProvider {
    private db;
    private adminContextProvider;
    constructor(db: TenantAwareDBClient, adminContextProvider: AdminContextProvider);
    private batchBusinessTripsFlightsExpensesByBusinessTripIds;
    getBusinessTripsFlightsExpensesByBusinessTripIdLoader: DataLoader<string, import("../types.js").IGetBusinessTripsFlightsExpensesByBusinessTripIdsResult[], string>;
    private batchBusinessTripsFlightsExpensesByIds;
    getBusinessTripsFlightsExpensesByIdLoader: DataLoader<string, import("../types.js").IGetBusinessTripsFlightsExpensesByIdsResult | undefined, string>;
    updateBusinessTripFlightsExpense(params: IUpdateBusinessTripFlightsExpenseParams): Promise<import("../types.js").IUpdateBusinessTripFlightsExpenseResult[]>;
    insertBusinessTripFlightsExpense(params: IInsertBusinessTripFlightsExpenseParams): Promise<import("../types.js").IInsertBusinessTripFlightsExpenseResult[]>;
    deleteBusinessTripFlightsExpense(params: IDeleteBusinessTripFlightsExpenseParams): Promise<import("../types.js").IDeleteBusinessTripFlightsExpenseResult[]>;
    invalidateById(expenseId: string): Promise<void>;
    invalidateByBusinessTripId(businessTripId: string): Promise<void>;
    clearCache(): void;
}
